Qwt User's Guide: QwtPoint3DSeriesData Class Reference

Qwt User's Guide 6.2.0

Public Member Functions | List of all members
QwtPoint3DSeriesData Class Reference

Interface for iterating over an array of 3D points. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtPoint3DSeriesData:

## Public Member Functions
| QwtPoint3DSeriesData (const QVector< QwtPoint3D > &=QVector< QwtPoint3D >())
virtual QRectF | boundingRect () const override
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QwtPoint3D >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QwtPoint3D > &samples)
void | setSamples (const QVector< QwtPoint3D > &samples)
const QVector< QwtPoint3D > | samples () const
virtual size_t | size () const override
virtual QwtPoint3D | sample (size_t index) const override
Public Member Functions inherited from QwtSeriesData< T >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtArraySeriesData< QwtPoint3D >
QVector< QwtPoint3D > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< T >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Interface for iterating over an array of 3D points.

Definition at line 219 of file qwt_series_data.h.

## Constructor & Destructor Documentation

## ◆ QwtPoint3DSeriesData()

QwtPoint3DSeriesData::QwtPoint3DSeriesData | ( | const QVector< QwtPoint3D > & | samples = `QVector< QwtPoint3D >( )` | ) |

Constructor

Parameters

  samples | Samples

Definition at line 275 of file qwt_series_data.cpp.

## Member Function Documentation

## ◆ boundingRect()

QRectF QwtPoint3DSeriesData::boundingRect | ( |  | ) | const
| overridevirtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< T >.

Definition at line 289 of file qwt_series_data.cpp.